# Interface GenericFileInterface

public interface GenericFileInterface

## Method Summary

Modifier and Type
Method
Description
`String`
`getFullPath()`
`String`
`getName()`
`GenericFileInterface`
`getParentAsFile()`
`boolean`
`isDirectory()`
`long`
`length()`

## Method Details

### getFullPath

String getFullPath()

### getName

String getName()

### length

long length()

### isDirectory

boolean isDirectory()

### getParentAsFile

GenericFileInterface getParentAsFile()